package com.mortals.xhx.module.metting.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.metting.model.MettingRecordEntity;
/**
* 会议记录查询对象
*
* @author zxfei
* @date 2023-05-22
*/
public class MettingRecordQuery extends MettingRecordEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 会议名称 */
    private List<String> meetNameList;

    /** 会议名称排除列表 */
    private List <String> meetNameNotList;
    /** 开始 会议日期 */
    private String meetDateStart;

    /** 结束 会议日期 */
    private String meetDateEnd;

    /** 开始 开会开始时间 */
    private String meetTimeStartStart;

    /** 结束 开会开始时间 */
    private String meetTimeStartEnd;

    /** 开始 开会结束时间 */
    private String meetTimeEndStart;

    /** 结束 开会结束时间 */
    private String meetTimeEndEnd;

    /** 开始 开会房间ID */
    private Long roomIdStart;

    /** 结束 开会房间ID */
    private Long roomIdEnd;

    /** 增加 开会房间ID */
    private Long roomIdIncrement;

    /** 开会房间ID列表 */
    private List <Long> roomIdList;

    /** 开会房间ID排除列表 */
    private List <Long> roomIdNotList;

    /** 开会房间名称 */
    private List<String> roomNameList;

    /** 开会房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 开会部门名称 */
    private List<String> meetDeptNameList;

    /** 开会部门名称排除列表 */
    private List <String> meetDeptNameNotList;
    /** 开始 会议状态(0.等待中,1.进行中,2.已结束) */
    private Integer meetStatusStart;

    /** 结束 会议状态(0.等待中,1.进行中,2.已结束) */
    private Integer meetStatusEnd;

    /** 增加 会议状态(0.等待中,1.进行中,2.已结束) */
    private Integer meetStatusIncrement;

    /** 会议状态(0.等待中,1.进行中,2.已结束)列表 */
    private List <Integer> meetStatusList;

    /** 会议状态(0.等待中,1.进行中,2.已结束)排除列表 */
    private List <Integer> meetStatusNotList;

    /** 开始 会议结束方式(0.自动结束,1.手动结束) */
    private Integer finishMethodStart;

    /** 结束 会议结束方式(0.自动结束,1.手动结束) */
    private Integer finishMethodEnd;

    /** 增加 会议结束方式(0.自动结束,1.手动结束) */
    private Integer finishMethodIncrement;

    /** 会议结束方式(0.自动结束,1.手动结束)列表 */
    private List <Integer> finishMethodList;

    /** 会议结束方式(0.自动结束,1.手动结束)排除列表 */
    private List <Integer> finishMethodNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MettingRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MettingRecordQuery> andConditionList;

    public MettingRecordQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 会议名称
    * @return meetNameList
    */
    public List<String> getMeetNameList(){
        return this.meetNameList;
    }

    /**
    * 设置 会议名称
    * @param meetNameList
    */
    public void setMeetNameList(List<String> meetNameList){
        this.meetNameList = meetNameList;
    }

    /**
    * 获取 会议名称
    * @return meetNameNotList
    */
    public List<String> getMeetNameNotList(){
        return this.meetNameNotList;
    }

    /**
    * 设置 会议名称
    * @param meetNameNotList
    */
    public void setMeetNameNotList(List<String> meetNameNotList){
        this.meetNameNotList = meetNameNotList;
    }

    /**
    * 获取 开始 会议日期
    * @return meetDateStart
    */
    public String getMeetDateStart(){
        return this.meetDateStart;
    }

    /**
    * 设置 开始 会议日期
    * @param meetDateStart
    */
    public void setMeetDateStart(String meetDateStart){
        this.meetDateStart = meetDateStart;
    }

    /**
    * 获取 结束 会议日期
    * @return meetDateEnd
    */
    public String getMeetDateEnd(){
        return this.meetDateEnd;
    }

    /**
    * 设置 结束 会议日期
    * @param meetDateEnd
    */
    public void setMeetDateEnd(String meetDateEnd){
        this.meetDateEnd = meetDateEnd;
    }

    /**
    * 获取 开始 开会开始时间
    * @return meetTimeStartStart
    */
    public String getMeetTimeStartStart(){
        return this.meetTimeStartStart;
    }

    /**
    * 设置 开始 开会开始时间
    * @param meetTimeStartStart
    */
    public void setMeetTimeStartStart(String meetTimeStartStart){
        this.meetTimeStartStart = meetTimeStartStart;
    }

    /**
    * 获取 结束 开会开始时间
    * @return meetTimeStartEnd
    */
    public String getMeetTimeStartEnd(){
        return this.meetTimeStartEnd;
    }

    /**
    * 设置 结束 开会开始时间
    * @param meetTimeStartEnd
    */
    public void setMeetTimeStartEnd(String meetTimeStartEnd){
        this.meetTimeStartEnd = meetTimeStartEnd;
    }

    /**
    * 获取 开始 开会结束时间
    * @return meetTimeEndStart
    */
    public String getMeetTimeEndStart(){
        return this.meetTimeEndStart;
    }

    /**
    * 设置 开始 开会结束时间
    * @param meetTimeEndStart
    */
    public void setMeetTimeEndStart(String meetTimeEndStart){
        this.meetTimeEndStart = meetTimeEndStart;
    }

    /**
    * 获取 结束 开会结束时间
    * @return meetTimeEndEnd
    */
    public String getMeetTimeEndEnd(){
        return this.meetTimeEndEnd;
    }

    /**
    * 设置 结束 开会结束时间
    * @param meetTimeEndEnd
    */
    public void setMeetTimeEndEnd(String meetTimeEndEnd){
        this.meetTimeEndEnd = meetTimeEndEnd;
    }

    /**
    * 获取 开始 开会房间ID
    * @return roomIdStart
    */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
    * 设置 开始 开会房间ID
    * @param roomIdStart
    */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
    * 获取 结束 开会房间ID
    * @return $roomIdEnd
    */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
    * 设置 结束 开会房间ID
    * @param roomIdEnd
    */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
    * 获取 增加 开会房间ID
    * @return roomIdIncrement
    */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
    * 设置 增加 开会房间ID
    * @param roomIdIncrement
    */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
    * 获取 开会房间ID
    * @return roomIdList
    */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
    * 设置 开会房间ID
    * @param roomIdList
    */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
    * 获取 开会房间ID
    * @return roomIdNotList
    */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
    * 设置 开会房间ID
    * @param roomIdNotList
    */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
    * 获取 开会房间名称
    * @return roomNameList
    */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
    * 设置 开会房间名称
    * @param roomNameList
    */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
    * 获取 开会房间名称
    * @return roomNameNotList
    */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
    * 设置 开会房间名称
    * @param roomNameNotList
    */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
    * 获取 开会部门名称
    * @return meetDeptNameList
    */
    public List<String> getMeetDeptNameList(){
        return this.meetDeptNameList;
    }

    /**
    * 设置 开会部门名称
    * @param meetDeptNameList
    */
    public void setMeetDeptNameList(List<String> meetDeptNameList){
        this.meetDeptNameList = meetDeptNameList;
    }

    /**
    * 获取 开会部门名称
    * @return meetDeptNameNotList
    */
    public List<String> getMeetDeptNameNotList(){
        return this.meetDeptNameNotList;
    }

    /**
    * 设置 开会部门名称
    * @param meetDeptNameNotList
    */
    public void setMeetDeptNameNotList(List<String> meetDeptNameNotList){
        this.meetDeptNameNotList = meetDeptNameNotList;
    }

    /**
    * 获取 开始 会议状态(0.等待中,1.进行中,2.已结束)
    * @return meetStatusStart
    */
    public Integer getMeetStatusStart(){
        return this.meetStatusStart;
    }

    /**
    * 设置 开始 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusStart
    */
    public void setMeetStatusStart(Integer meetStatusStart){
        this.meetStatusStart = meetStatusStart;
    }

    /**
    * 获取 结束 会议状态(0.等待中,1.进行中,2.已结束)
    * @return $meetStatusEnd
    */
    public Integer getMeetStatusEnd(){
        return this.meetStatusEnd;
    }

    /**
    * 设置 结束 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusEnd
    */
    public void setMeetStatusEnd(Integer meetStatusEnd){
        this.meetStatusEnd = meetStatusEnd;
    }

    /**
    * 获取 增加 会议状态(0.等待中,1.进行中,2.已结束)
    * @return meetStatusIncrement
    */
    public Integer getMeetStatusIncrement(){
        return this.meetStatusIncrement;
    }

    /**
    * 设置 增加 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusIncrement
    */
    public void setMeetStatusIncrement(Integer meetStatusIncrement){
        this.meetStatusIncrement = meetStatusIncrement;
    }

    /**
    * 获取 会议状态(0.等待中,1.进行中,2.已结束)
    * @return meetStatusList
    */
    public List<Integer> getMeetStatusList(){
        return this.meetStatusList;
    }

    /**
    * 设置 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusList
    */
    public void setMeetStatusList(List<Integer> meetStatusList){
        this.meetStatusList = meetStatusList;
    }

    /**
    * 获取 会议状态(0.等待中,1.进行中,2.已结束)
    * @return meetStatusNotList
    */
    public List<Integer> getMeetStatusNotList(){
        return this.meetStatusNotList;
    }

    /**
    * 设置 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusNotList
    */
    public void setMeetStatusNotList(List<Integer> meetStatusNotList){
        this.meetStatusNotList = meetStatusNotList;
    }


    /**
    * 获取 开始 会议结束方式(0.自动结束,1.手动结束)
    * @return finishMethodStart
    */
    public Integer getFinishMethodStart(){
        return this.finishMethodStart;
    }

    /**
    * 设置 开始 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodStart
    */
    public void setFinishMethodStart(Integer finishMethodStart){
        this.finishMethodStart = finishMethodStart;
    }

    /**
    * 获取 结束 会议结束方式(0.自动结束,1.手动结束)
    * @return $finishMethodEnd
    */
    public Integer getFinishMethodEnd(){
        return this.finishMethodEnd;
    }

    /**
    * 设置 结束 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodEnd
    */
    public void setFinishMethodEnd(Integer finishMethodEnd){
        this.finishMethodEnd = finishMethodEnd;
    }

    /**
    * 获取 增加 会议结束方式(0.自动结束,1.手动结束)
    * @return finishMethodIncrement
    */
    public Integer getFinishMethodIncrement(){
        return this.finishMethodIncrement;
    }

    /**
    * 设置 增加 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodIncrement
    */
    public void setFinishMethodIncrement(Integer finishMethodIncrement){
        this.finishMethodIncrement = finishMethodIncrement;
    }

    /**
    * 获取 会议结束方式(0.自动结束,1.手动结束)
    * @return finishMethodList
    */
    public List<Integer> getFinishMethodList(){
        return this.finishMethodList;
    }

    /**
    * 设置 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodList
    */
    public void setFinishMethodList(List<Integer> finishMethodList){
        this.finishMethodList = finishMethodList;
    }

    /**
    * 获取 会议结束方式(0.自动结束,1.手动结束)
    * @return finishMethodNotList
    */
    public List<Integer> getFinishMethodNotList(){
        return this.finishMethodNotList;
    }

    /**
    * 设置 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodNotList
    */
    public void setFinishMethodNotList(List<Integer> finishMethodNotList){
        this.finishMethodNotList = finishMethodNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public MettingRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public MettingRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public MettingRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public MettingRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public MettingRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public MettingRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 会议名称
    * @param meetName
    */
    public MettingRecordQuery meetName(String meetName){
        setMeetName(meetName);
		return this;
    }

    /**
    * 设置 会议名称
    * @param meetNameList
    */
    public MettingRecordQuery meetNameList(List<String> meetNameList){
        this.meetNameList = meetNameList;
		return this;
    }




    /**
    * 设置  开会房间ID
    * @param roomId
    */
    public MettingRecordQuery roomId(Long roomId){
	    setRoomId(roomId);
		return this;
    }
	
	 /**
    * 设置 开始 开会房间ID
    * @param roomIdStart
    */
    public MettingRecordQuery roomIdStart(Long roomIdStart){
		this.roomIdStart = roomIdStart;
		return this;
    }

    /**
    * 设置 结束 开会房间ID
    * @param roomIdEnd
    */
    public MettingRecordQuery roomIdEnd(Long roomIdEnd){
		this.roomIdEnd = roomIdEnd;
		return this;
    }

    /**
    * 设置 增加 开会房间ID
    * @param roomIdIncrement
    */
    public MettingRecordQuery roomIdIncrement(Long roomIdIncrement){
		this.roomIdIncrement = roomIdIncrement;
		return this;
    }

    /**
    * 设置 开会房间ID
    * @param roomIdList
    */
    public MettingRecordQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
		return this;
        }

        /**
        * 设置 开会房间ID
        * @param roomIdNotList
        */
        public MettingRecordQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
        }


	/**
    * 设置 开会房间名称
    * @param roomName
    */
    public MettingRecordQuery roomName(String roomName){
        setRoomName(roomName);
		return this;
    }

    /**
    * 设置 开会房间名称
    * @param roomNameList
    */
    public MettingRecordQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
		return this;
    }


	/**
    * 设置 开会部门名称
    * @param meetDeptName
    */
    public MettingRecordQuery meetDeptName(String meetDeptName){
        setMeetDeptName(meetDeptName);
		return this;
    }

    /**
    * 设置 开会部门名称
    * @param meetDeptNameList
    */
    public MettingRecordQuery meetDeptNameList(List<String> meetDeptNameList){
        this.meetDeptNameList = meetDeptNameList;
		return this;
    }

    /**
    * 设置  会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatus
    */
    public MettingRecordQuery meetStatus(Integer meetStatus){
	    setMeetStatus(meetStatus);
		return this;
    }
	
	 /**
    * 设置 开始 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusStart
    */
    public MettingRecordQuery meetStatusStart(Integer meetStatusStart){
		this.meetStatusStart = meetStatusStart;
		return this;
    }

    /**
    * 设置 结束 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusEnd
    */
    public MettingRecordQuery meetStatusEnd(Integer meetStatusEnd){
		this.meetStatusEnd = meetStatusEnd;
		return this;
    }

    /**
    * 设置 增加 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusIncrement
    */
    public MettingRecordQuery meetStatusIncrement(Integer meetStatusIncrement){
		this.meetStatusIncrement = meetStatusIncrement;
		return this;
    }

    /**
    * 设置 会议状态(0.等待中,1.进行中,2.已结束)
    * @param meetStatusList
    */
    public MettingRecordQuery meetStatusList(List<Integer> meetStatusList){
        this.meetStatusList = meetStatusList;
		return this;
        }

        /**
        * 设置 会议状态(0.等待中,1.进行中,2.已结束)
        * @param meetStatusNotList
        */
        public MettingRecordQuery meetStatusNotList(List<Integer> meetStatusNotList){
        this.meetStatusNotList = meetStatusNotList;
        return this;
        }

    /**
    * 设置  会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethod
    */
    public MettingRecordQuery finishMethod(Integer finishMethod){
	    setFinishMethod(finishMethod);
		return this;
    }
	
	 /**
    * 设置 开始 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodStart
    */
    public MettingRecordQuery finishMethodStart(Integer finishMethodStart){
		this.finishMethodStart = finishMethodStart;
		return this;
    }

    /**
    * 设置 结束 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodEnd
    */
    public MettingRecordQuery finishMethodEnd(Integer finishMethodEnd){
		this.finishMethodEnd = finishMethodEnd;
		return this;
    }

    /**
    * 设置 增加 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodIncrement
    */
    public MettingRecordQuery finishMethodIncrement(Integer finishMethodIncrement){
		this.finishMethodIncrement = finishMethodIncrement;
		return this;
    }

    /**
    * 设置 会议结束方式(0.自动结束,1.手动结束)
    * @param finishMethodList
    */
    public MettingRecordQuery finishMethodList(List<Integer> finishMethodList){
        this.finishMethodList = finishMethodList;
		return this;
        }

        /**
        * 设置 会议结束方式(0.自动结束,1.手动结束)
        * @param finishMethodNotList
        */
        public MettingRecordQuery finishMethodNotList(List<Integer> finishMethodNotList){
        this.finishMethodNotList = finishMethodNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public MettingRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public MettingRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MettingRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MettingRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MettingRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MettingRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MettingRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public MettingRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public MettingRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public MettingRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public MettingRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public MettingRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public MettingRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public MettingRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MettingRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MettingRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MettingRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MettingRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}